# PathMetricIterator class

Tracks iteration from one segment of a path to the next for measurement.

Implemented types
  - Iterator<PathMetric>

## Properties

current → PathMetric
  Returns the current element. [...]
  read-only, override
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

moveNext() → bool
  Moves to the next element. [...]
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited